<?php 
class CVersionInfo
{
	var $Build_id        ;
	var $Project_id        ;
	var $Server_version    ;
	var $Client_version_min;
	var $Client_version_max;
	var $Version_log       ;
	var $Svn_version       ;
	var $Complie_state     ;
	var $Comlie_user       ;
	var $Comlie_username   ;
	var $Comlie_time       ;
	var $Complie_log       ;
	var $Recursive_issue   ;
	var $Recursive_state   ;
	var $Release_state     ;
	var $Release_user      ;
	var $Release_time      ;
	var $Release_log       ;
};

class CModuleVersion extends CModuleBase
{
	function Init()
	{
		$sql = "select a.*, b.real_name from tb_project_version a, tb_user b where a.Comlie_user=b.user_id order by 1 desc";
		$this->db->ExeQuerySql($sql);
	
		while($this->db->FetchRow())
		{			
			$mod = new CVersionInfo();
			$mod->Build_id         = $this->db->Get('Build_id');
			$mod->Project_id         = $this->db->Get('Project_id');
			$mod->Server_version     = $this->db->Get('Server_version');
			$mod->Client_version_min = $this->db->Get('Client_version_min');
			$mod->Client_version_max = $this->db->Get('Client_version_max');
			$mod->Version_log        = $this->db->Get('Version_log');
			$mod->Svn_version        = $this->db->Get('Svn_version');
			$mod->Complie_state      = $this->db->Get('Complie_state');
			$mod->Comlie_user        = $this->db->Get('Comlie_user');
			$mod->Comlie_username        = $this->db->Get('real_name');
			
			$mod->Comlie_time        = $this->db->Get('Comlie_time');
			$mod->Complie_log        = $this->db->Get('Complie_log');
			$mod->Recursive_issue    = $this->db->Get('Recursive_issue');
			$mod->Recursive_state    = $this->db->Get('Recursive_state');
			$mod->Release_state      = $this->db->Get('Release_state');
			$mod->Release_user       = $this->db->Get('Release_user');
			$mod->Release_time       = $this->db->Get('Release_time');
			$mod->Release_log        = $this->db->Get('Release_log');   
			$this->modules[$this->GetSize()] = $mod;
		}
		$this->db->FreeResult();
	}
};
?>
